From: Sophie Brun <sophie@offensive-security.com>
Date: Fri, 13 Mar 2020 12:03:10 +0100
Subject: Change usage example

Last-Update: 2018-01-30

Last-Update: 2018-01-30
---
 tools/exploit/egghunter.rb         | 2 +-
 tools/exploit/exe2vba.rb           | 2 +-
 tools/exploit/exe2vbs.rb           | 2 +-
 tools/exploit/find_badchars.rb     | 2 +-
 tools/exploit/java_deserializer.rb | 2 +-
 tools/exploit/jsobfu.rb            | 2 +-
 tools/exploit/metasm_shell.rb      | 2 +-
 tools/exploit/pattern_create.rb    | 2 +-
 tools/exploit/pattern_offset.rb    | 2 +-
 tools/exploit/pdf2xdp.rb           | 2 +-
 tools/exploit/virustotal.rb        | 2 +-
 tools/password/halflm_second.rb    | 2 +-
 tools/password/hmac_sha1_crack.rb  | 2 +-
 tools/password/md5_lookup.rb       | 2 +-
 tools/recon/makeiplist.rb          | 2 +-
 15 files changed, 15 insertions(+), 15 deletions(-)

--- a/tools/exploit/egghunter.rb
+++ b/tools/exploit/egghunter.rb
@@ -20,7 +20,7 @@
     def self.parse(args)
       options = {}
       parser = OptionParser.new do |opt|
-        opt.banner = "Usage: #{__FILE__} [options]\nExample: #{__FILE__} -f python -e W00T"
+        opt.banner = "Usage: msf-egghunter [options]\nExample: msf-egghunter -f python -e W00T"
         opt.separator ''
         opt.separator 'Specific options:'
 
--- a/tools/exploit/exe2vba.rb
+++ b/tools/exploit/exe2vba.rb
@@ -23,7 +23,7 @@
 require 'rex'
 
 def usage
-  $stderr.puts("    Usage: #{$0} [exe] [vba]\n")
+  $stderr.puts("    Usage: msf-exe2vba [exe] [vba]\n")
   exit
 end
 
--- a/tools/exploit/exe2vbs.rb
+++ b/tools/exploit/exe2vbs.rb
@@ -22,7 +22,7 @@
 require 'rex'
 
 def usage
-  $stderr.puts("    Usage: #{$0} [exe] [vbs]\n")
+  $stderr.puts("    Usage: msf-exe2vbs [exe] [vbs]\n")
   exit
 end
 
--- a/tools/exploit/find_badchars.rb
+++ b/tools/exploit/find_badchars.rb
@@ -33,7 +33,7 @@
   "-t" => [ true, "The format that the memory contents are in (empty to list)"         ])
 
 def usage
-  $stderr.puts("\n" + "    Usage: #{File.basename($0)} <options>\n" + $args.usage)
+  $stderr.puts("\n" + "    Usage: msf-find_badchars <options>\n" + $args.usage)
   exit
 end
 
--- a/tools/exploit/java_deserializer.rb
+++ b/tools/exploit/java_deserializer.rb
@@ -142,7 +142,7 @@
 
   options = {}
   OptionParser.new do |opts|
-    opts.banner = "Usage: java_deserializer.rb <file> [option]"
+    opts.banner = "Usage: msf-java_deserializer <file> [option]"
 
     opts.on("-aID", "--array=ID", "Print detailed information about content array") do |id|
       options[:array] = id
--- a/tools/exploit/jsobfu.rb
+++ b/tools/exploit/jsobfu.rb
@@ -20,7 +20,7 @@
     def self.parse(args)
       options = {}
       parser = OptionParser.new do |opt|
-        opt.banner = "Usage: #{__FILE__} [options]"
+        opt.banner = "Usage: msf-jsobfu [options]"
         opt.separator ''
         opt.separator 'Specific options:'
 
--- a/tools/exploit/metasm_shell.rb
+++ b/tools/exploit/metasm_shell.rb
@@ -42,7 +42,7 @@
 @endianness = ""
 
 def usage
-  $stderr.puts("\nUsage: #{$0} <options>\n" + $args.usage)
+  $stderr.puts("\nUsage: msf-metasm_shell <options>\n" + $args.usage)
   exit
 end
 
--- a/tools/exploit/pattern_create.rb
+++ b/tools/exploit/pattern_create.rb
@@ -22,7 +22,7 @@
     def self.parse(args)
       options = {}
       parser = OptionParser.new do |opt|
-        opt.banner = "Usage: #{__FILE__} [options]\nExample: #{__FILE__} -l 50 -s ABC,def,123\nAd1Ad2Ad3Ae1Ae2Ae3Af1Af2Af3Bd1Bd2Bd3Be1Be2Be3Bf1Bf"
+        opt.banner = "Usage: msf-pattern_create [options]\nExample: msf-pattern_create -l 50 -s ABC,def,123\nAd1Ad2Ad3Ae1Ae2Ae3Af1Af2Af3Bd1Bd2Bd3Be1Be2Be3Bf1Bf"
         opt.separator ''
         opt.separator 'Options:'
         opt.on('-l', '--length <length>', Integer, "The length of the pattern") do |len|
--- a/tools/exploit/pattern_offset.rb
+++ b/tools/exploit/pattern_offset.rb
@@ -22,7 +22,7 @@
     def self.parse(args)
       options = {}
       parser = OptionParser.new do |opt|
-        opt.banner = "Usage: #{__FILE__} [options]\nExample: #{__FILE__} -q Aa3A\n[*] Exact match at offset 9"
+        opt.banner = "Usage: msf-pattern_offset [options]\nExample: msf-pattern_offset -q Aa3A\n[*] Exact match at offset 9"
         opt.separator ''
         opt.separator 'Options:'
 
--- a/tools/exploit/pdf2xdp.rb
+++ b/tools/exploit/pdf2xdp.rb
@@ -15,7 +15,7 @@
 xdp = ARGV.shift
 
 if ! xdp then
-  STDERR.puts "    Usage: #{$0} input.pdf output.xdp"
+  STDERR.puts "    Usage: msf-pdf2xdp input.pdf output.xdp"
   exit 1
 end
 
--- a/tools/exploit/virustotal.rb
+++ b/tools/exploit/virustotal.rb
@@ -288,7 +288,7 @@
     options = {}
 
     opts = OptionParser.new do |opts|
-      opts.banner = "Usage: #{__FILE__} [options]"
+      opts.banner = "Usage: msf-virustotal [options]"
 
       opts.separator ""
       opts.separator "Specific options:"
--- a/tools/password/halflm_second.rb
+++ b/tools/password/halflm_second.rb
@@ -24,7 +24,7 @@
 require 'rex'
 
 def usage
-  $stderr.puts("\n" + "    Usage: #{$0} <options>\n" + $args.usage)
+  $stderr.puts("\n" + "    Usage: msf-halflm_second <options>\n" + $args.usage)
   exit
 end
 
--- a/tools/password/hmac_sha1_crack.rb
+++ b/tools/password/hmac_sha1_crack.rb
@@ -28,7 +28,7 @@
 require 'openssl'
 
 def usage
-  $stderr.puts("\nUsage: #{$0} hashes.txt <wordlist | - >\n")
+  $stderr.puts("\nUsage: msf-hmac_sha1_crack hashes.txt <wordlist | - >\n")
   $stderr.puts("The format of hash file is <identifier>:<hex-salt>:<hash>\n\n")
   exit
 end
--- a/tools/password/md5_lookup.rb
+++ b/tools/password/md5_lookup.rb
@@ -271,7 +271,7 @@
     def self.get_parsed_options
       options = {}
       parser = OptionParser.new do |opt|
-        opt.banner = "Usage: #{__FILE__} [options]"
+        opt.banner = "Usage: msf-md5_lookup [options]"
         opt.separator ''
         opt.separator 'Specific options:'
 
--- a/tools/recon/makeiplist.rb
+++ b/tools/recon/makeiplist.rb
@@ -33,7 +33,7 @@
 
     opts = OptionParser.new do |opts|
       opts.banner = %Q|This script takes a list of ranges and converts it to a per line IP list.
-Usage: #{__FILE__} [options]|
+Usage: msf-makeiplist [options]|
 
       opts.separator ""
       opts.separator "Specific options:"
